/cancel_order

Use either the pnm_order_identifier or the site_order_identifier to find the active order you want to cancel immediately. Consumers cannot make payments against cancelled orders. After cancelling, the order_status will display as closed and the order_closed_reason displays as canceled.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Best Practices to Ensure Fast API Response Times

By default, PayNearMe will return all payments related to an order in response to your API call. This results in lengthy responses as your orders accrue payments in our system. The following options reduce load times and bandwidth usage, helping to lower network costs.

Limiting Payment Listings

For the fastest responses, sending return_minimal_info=true ensures that PayNearMe will only return the pnm_order_identifier and the pnm_customer_identifier.

If you require more information in the response than that, but do not require payment history, sending return_no_pmts=true in your request will eliminate payment history entirely.

If you prefer to receive just the most recent payment, sending last_pmt_only=true in your request will limit the response to just the most recent payment.

Limiting Payment Method Listings

Use payment_methods_limit to limit the number of stored payment methods (accounts) returned within each payment method type (i.e., paypal, venmo, debit, gpay, ach, cash_app) in the response. This is useful for orders with many saved payment methods where returning all accounts would impact performance.

❗️

API v3.1+ Changes

This endpoint has been deprecated in version 3.1 of the API.

Body Params
string
required

The unique, PayNearMe-defined identifier for this order

string
required
Defaults to S2411573363

Identifies your client site.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or after 2012-07-01 00:00:00 -0700.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or before 2012-07-01 00:00:00 -0700.

string

Enforces a limit to the number of payments that are returned in the order object response. For example, entering 2 limits the number of payments listed in the order to the 2 most recent payments. Use this parameter in conjunction with the sort_payments parameter to sort the listed payments by oldest (i.e.,asc) or the most recent (i.e., desc). By default, all payments are returned, which can slow down response time.

integer

Maximum number of payment processor accounts (PPAs) to return per payment method. Use 0 for no PPAs. Default: unlimited.

string
enum

Sorts the payments returned in the order object response from oldest to most recent (i.e., asc) or from the most recent payments to oldest (i.e., desc). The default value for this parameter is asc.

Allowed:
string

Submit as true to only return the most recent payment made for the order in the order object response.

string

Submit as true if you don't want payment records returned in the order object response.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json